Skip to main content
GET
/
api
/
shop
/
marketplace
/
products
/
list
Get product list
curl --request GET \
  --url https://skycoach.gg/api/shop/marketplace/products/list \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>'
{
  "result": [
    {
      "id": 61,
      "title": "Marvel Rivals Accounts",
      "step_size": 1,
      "meta": null,
      "is_active": true,
      "is_active_for_pro": true,
      "marketplace_type": 2,
      "related_product": [
        {}
      ],
      "product_fields": [
        {
          "id": 198,
          "parent_id": null,
          "product_id": 61,
          "is_inline": false,
          "is_filter": false,
          "is_required": true,
          "title": "Platform",
          "placeholder": "Platform",
          "component_view": 5,
          "priority": 2,
          "deleted_at": null,
          "parent_value_id": null,
          "default_value_id": null,
          "is_primary": true,
          "component_edit": 2,
          "has_custom_value": false,
          "has_values_counter": false,
          "component_view_data": {},
          "component_edit_data": {},
          "is_hidden": false,
          "ranking_weight": 0,
          "is_show_in_tags": false,
          "title_for_primary": null,
          "title_for_tags": null,
          "is_sort_values_by_priority": false,
          "field_values": [
            {
              "id": 1,
              "product_field_id": 198,
              "value": "PC",
              "priority": 1,
              "deleted_at": null,
              "additional_value": null
            }
          ]
        }
      ]
    }
  ],
  "total": 13
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required

API response format

Available options:
application/json

Query Parameters

offset
integer
default:0

Number of records to skip. Default: 0

Example:

0

limit
integer
default:25

Maximum number of records to return. Default: 25, Max: 25

Required range: x <= 25
Example:

20

sort_column
string
Example:

"id"

sort_direction
enum<string>

Sort direction. * Possible values: * * - asc: Ascending order (from lowest to highest) * - desc: Descending order (from highest to lowest)

Available options:
asc,
desc
Example:

"asc"

with_marketplace_type
enum<integer>

Filter by marketplace type. * Possible values: * * - 1: Gold marketplace * - 2: Account marketplace

Available options:
1,
2
Example:

2

with_is_active
boolean
Example:

true

Response

Success. Returns array of products matching PublicProductCurrencySettingResource.

result
object[]
total
integer
Example:

13